From 10852ed5061b69eb8c520076d1c971cfc24ddd1e Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Jan 03 2021 07:07:18 +0000
Subject: [PATCH 2016/2232] Fix slice restriction to exclude slice of CxxString


---

diff --git a/syntax/check.rs b/syntax/check.rs
index 44be4dc..fbe6fbc 100644
--- a/syntax/check.rs
+++ b/syntax/check.rs
@@ -236,7 +236,7 @@ fn check_type_ref(cx: &mut Check, ty: &Ref) {
 fn check_type_slice_ref(cx: &mut Check, ty: &SliceRef) {
     let supported = match &ty.inner {
         Type::Str(_) | Type::SliceRef(_) => false,
-        Type::Ident(ident) => !is_opaque_cxx(cx, &ident.rust),
+        Type::Ident(ident) => !is_unsized(cx, &ty.inner) || cx.types.rust.contains(&ident.rust),
         element => !is_unsized(cx, element),
     };
 

